Bullet Collision Detection & Physics Library: btConvexHullComputer Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Private Member Functions | List of all members
btConvexHullComputer Class Reference

Convex hull implementation based on Preparata and Hong See http://code.google.com/p/bullet/issues/detail?id=275 Ole Kniemeyer, MAXON Computer GmbH. More...

`#include <btConvexHullComputer.h>`

Collaboration diagram for btConvexHullComputer:
[legend]

## Classes
class | Edge

## Public Member Functions
btScalar | compute (const float *coords, int stride, int count, btScalar shrink, btScalar shrinkClamp)
btScalar | compute (const double *coords, int stride, int count, btScalar shrink, btScalar shrinkClamp)

## Public Attributes
btAlignedObjectArray< btVector3 > | vertices
btAlignedObjectArray< int > | original_vertex_index
btAlignedObjectArray< Edge > | edges
btAlignedObjectArray< int > | faces

## Private Member Functions
btScalar | compute (const void *coords, bool doubleCoords, int stride, int count, btScalar shrink, btScalar shrinkClamp)

## Detailed Description

Convex hull implementation based on Preparata and Hong See http://code.google.com/p/bullet/issues/detail?id=275 Ole Kniemeyer, MAXON Computer GmbH.

Definition at line 24 of file btConvexHullComputer.h.

## Member Function Documentation

## ◆ compute() [1/3]

btScalar btConvexHullComputer::compute | ( | const double * | coords,
|  | int | stride,
|  | int | count,
|  | btScalar | shrink,
|  | btScalar | shrinkClamp
| ) |  |
| inline

Definition at line 96 of file btConvexHullComputer.h.

## ◆ compute() [2/3]

btScalar btConvexHullComputer::compute | ( | const float * | coords,
|  | int | stride,
|  | int | count,
|  | btScalar | shrink,
|  | btScalar | shrinkClamp
| ) |  |
| inline

Definition at line 90 of file btConvexHullComputer.h.

## ◆ compute() [3/3]

btScalar btConvexHullComputer::compute | ( | const void * | coords,
|  | bool | doubleCoords,
|  | int | stride,
|  | int | count,
|  | btScalar | shrink,
|  | btScalar | shrinkClamp
| ) |  |
| private

Definition at line 2653 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ edges

btAlignedObjectArray<Edge> btConvexHullComputer::edges

Definition at line 73 of file btConvexHullComputer.h.

## ◆ faces

btAlignedObjectArray<int> btConvexHullComputer::faces

Definition at line 76 of file btConvexHullComputer.h.

## ◆ original_vertex_index

btAlignedObjectArray<int> btConvexHullComputer::original_vertex_index

Definition at line 70 of file btConvexHullComputer.h.

## ◆ vertices

btAlignedObjectArray<btVector3> btConvexHullComputer::vertices

Definition at line 67 of file btConvexHullComputer.h.

The documentation for this class was generated from the following files:

- btConvexHullComputer.h
- btConvexHullComputer.cpp